package Token;
import java.util.Stack;

import Main.Expression;


public class AlphabetLetter extends Token {
	int value;
	public AlphabetLetter(int position,int value){
		setPositionInPredicate(position);
		setArity(0);
		this.value = value;
	}
	public String toString(){
		return Integer.toString(value);
	}
	public void act(Stack<Expression> S) throws Exception{
		S.push(new Expression("@"+Integer.toString(value), value));
	}
}
